RubyGems Navigation menu

moj_tribunals_config 0.8.0

Used by tribunals_frontend and tribunals_api to share configuration. To use: 1) add "gem 'moj_tribunals_config'" to your Gemfile 2) in an initializer, add the following code: require 'moj_tribunals_config' my_config = Moj::Tribunals::ConfigLoader.new.load This will load the default config files from the gem. To load different files, you can provide an alternative path to the ConfigLoader.new method, e.g. my_config = Moj::Tribunals::ConfigLoader.new('/my/alternative/config/path').load To just load config for a specific tribunal, you can do: config_loader = Moj::Tribunals::ConfigLoader.new config_file = config_loader.config_file_for('utiac') config_loader.load( config_file ) RailsConfig integration ======================= If you're using the RailsConfig gem, your intializer can just do something like: files = Moj::Tribunals::ConfigLoader.new.config_files files.each{ |f| Settings.add_source!( f ) } Settings.reload!

Gemfile:
= クリップボードにコピー コピー完了!

インストール:
=

バージョン履歴:

  1. 1.6.0 - March 05, 2015 (11KB)
  2. 1.5.2 - February 25, 2015 (11KB)
  3. 1.5.1 - February 18, 2015 (11KB)
  4. 1.5.0 - February 10, 2015 (11KB)
  5. 1.4.0 - February 06, 2015 (11KB)
  6. 0.8.0 - February 02, 2015 (10KB)
全てのバージョンを表示(全9件)

Development依存関係 (5):

bundler ~> 1.0
jeweler ~> 2.0.1
rdoc ~> 3.12
shoulda >= 0
simplecov >= 0

所有者:

作者:

  • Al Davidson

SHA 256チェックサム:

443b643da450a7f415c90dbcf0d0592144a1e5d9ed01ce411d9b6daa60b12372

累計ダウンロード数 20,570

このバージョンのみ 2,199

ライセンス:

MIT

必要なRubyのバージョン: >= 0

リンク: